Name:		bitmap
Version:	1.0.5
Release:	%mkrel 2
Summary:	Bitmap editor and converter utilities for the X Window System
Group:		Development/X11
Source:		http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
URL:		http://xorg.freedesktop.org/archive/X11R6.8.0/doc/bitmap.1.html
Patch0:		bitmap-1.0.4-format_not_a_string_literal_and_no_format_arguments.diff
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	libx11-devel >= 1.0.0
BuildRequires:	libxmu-devel >= 1.0.0
BuildRequires:	libxt-devel >= 1.0.0
BuildRequires:	libxaw-devel >= 1.0.1
BuildRequires:	x11-data-bitmaps >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

%description
Bitmap provides is a bitmap editor and misc converter utilities for the X
Window System.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure2_5x --disable-dependency-tracking
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%pre 
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files
%defattr(-,root,root)
%{_bindir}/atobm
%{_bindir}/bmtoa
%{_bindir}/bitmap
%{_datadir}/X11/app-defaults/Bitmap
%{_datadir}/X11/app-defaults/Bitmap-nocase
%{_datadir}/X11/app-defaults/Bitmap-color
%{_includedir}/X11/bitmaps/Up
%{_includedir}/X11/bitmaps/Down
%{_includedir}/X11/bitmaps/Excl
%{_includedir}/X11/bitmaps/Fold
%{_includedir}/X11/bitmaps/Left
%{_includedir}/X11/bitmaps/Term
%{_includedir}/X11/bitmaps/Dashes
%{_includedir}/X11/bitmaps/Right
%{_includedir}/X11/bitmaps/FlipHoriz
%{_includedir}/X11/bitmaps/RotateLeft
%{_includedir}/X11/bitmaps/RotateRight
%{_includedir}/X11/bitmaps/FlipVert
%{_includedir}/X11/bitmaps/Stipple
%{_mandir}/man1/bitmap.1*
%{_mandir}/man1/bmtoa.1*
%{_mandir}/man1/atobm.1*



%changelog
* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-2mdv2011.0
+ Revision: 663323
- mass rebuild

* Fri Oct 08 2010 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 584208
- new release

* Tue Feb 02 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.0.4-2mdv2010.1
+ Revision: 499790
- add url tag
- Report patch to 1.0.4 version

* Wed Sep 23 2009 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2010.0
+ Revision: 447712
- new release

* Mon Aug 10 2009 Funda Wang <fwang@mandriva.org> 1.0.3-6mdv2010.0
+ Revision: 414160
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Mon Dec 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-5mdv2009.1
+ Revision: 321082
- fix build with -Werror=format-security (P0)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-4mdv2009.0
+ Revision: 220483
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-3mdv2008.1
+ Revision: 148924
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Choose default Xaw from xaw.m4 unless configure explicitly told otherwise.

* Sat Sep 08 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 82321
- rebuild for 2008
- minor spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 116378
- new upstream version: 1.0.3

* Sat Sep 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-3mdv2007.0
+ Revision: 59528
- rebuild to fix libXaw.so.8 dependency
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

